Name:           perl-BioPerl-Run
Version:        1.006900
Epoch:		1
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Summary:        Modules to provide a Perl interface to various bioinformatics applications
URL:            http://bioperl.org
Source0:        http://www.cpan.org/authors/id/C/CJ/CJFIELDS/BioPerl-Run-1.006900.tar.gz
Patch1:		perl-BioPerl-Run-shebang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.6.1
BuildRequires:  perl(Algorithm::Diff)
BuildRequires:  perl(Bio::Root::Version) >= 1.006900
#BuildRequires:  perl(File::Sort)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(XML::Twig)

# make it installable
%global __requires_exclude perl(Bio::Tools::Run.*|perl(File::Sort|perl(Bio::DB::EUtilities)|perl(Bio::FeatureIO)
%{?filter_setup:
%filter_from_requires /perl(Bio::Tools::Run/d
%filter_from_requires /perl(File::Sort)/d
%filter_from_requires /perl(Bio::DB::EUtilities)/d
%filter_from_requires /perl(Bio::FeatureIO)/d
%filter_setup
}

%description
Bioperl-run contains modules that provide a Perl interface to various
bioinformatics applications. This allows various applications to be
used with common Bioperl objects.

%prep
%setup -q -n BioPerl-Run-%{version}
%patch1 -p1

%build
yes n | %{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
find $RPM_BUILD_ROOT -name \*.pm -exec chmod 0644 {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# needs network (?) and lots of other stuff
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%{!?_licensedir:%global license %%doc}
%files
%doc AUTHORS Changes README scripts
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 27 2015 Dave Love <loveshack@fedoraproject.org> - 1:1.006900-1
- New version, with epoch to account for different numbering
- Patch out /usr/local/bin/perl
- Exclude some requires

* Thu Apr  9 2015 Dave Love <d.love@liverpool.ac.uk> - 1.6.923-1
- New version

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.6.1-9
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.6.1-8
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.6.1-7
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.6.1-5
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.6.1-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.6.1-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.6.1-1
- Update to final 1.6.1 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.9-0.3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.5.9-0.2.2
- Update to release candidate 2 for 1.6.0 should fix file conflicts 
  with ConfigData (#484495)

* Tue Feb  3 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.5.9-0.1.1
- Update to release candidate 1 for 1.6.0 
- Remove examples subdirectory, no longer distributed
- Deprecated modules no longer need removing
- Add BR: perl(IPC::Run)

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.2_100-3
- rebuild for new perl

* Tue Apr 18 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_100-2
- Remove deprecated modules that depend on non-existent
  Bio::Root::AccessorMaker

* Tue Apr 17 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_100-1
- Initial Fedora package.
